Bug 191306 - [vt] VT using inconsistent token parameters to kbd_allocate() and kbd_release()
Summary: [vt] VT using inconsistent token parameters to kbd_allocate() and kbd_release()
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 10.0-STABLE
Hardware: Any Any
: Normal Affects Some People
Assignee: Aleksandr Rybalko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-23 13:41 UTC by jau789
Modified: 2014-07-21 14:36 UTC (History)
1 user (show)

See Also:


Attachments
make VT consistently use a pointer to struct vt_device (998 bytes, patch)
2014-06-23 13:41 UTC, jau789
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jau789 2014-06-23 13:41:41 UTC
Created attachment 144065 [details]
make VT consistently use a pointer to struct vt_device

VT has been using inconsistent token parameters while calling
kbd_allocate() and kbd_release() mixing keyboard ID and a pointer
to struct vt_device.
This has caused e.g. "kbdcontrol -K" to fail.

The attached patch should fix the issue.
Comment 1 commit-hook freebsd_committer 2014-07-09 14:36:50 UTC
A commit references this bug:

Author: ray
Date: Wed Jul  9 14:36:04 UTC 2014
New revision: 268460
URL: http://svnweb.freebsd.org/changeset/base/268460

Log:
  Fix inconsistent token parameters for kbd_allocate() and kbd_release() in vt(4).

  PR:		191306
  Submitted by:	jau789@gmail.com
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/sys/dev/vt/vt_core.c
Comment 2 Aleksandr Rybalko freebsd_committer 2014-07-09 14:37:47 UTC
(In reply to jau789 from comment #0)
> Created attachment 144065 [details]
> make VT consistently use a pointer to struct vt_device
> 
> VT has been using inconsistent token parameters while calling
> kbd_allocate() and kbd_release() mixing keyboard ID and a pointer
> to struct vt_device.
> This has caused e.g. "kbdcontrol -K" to fail.
> 
> The attached patch should fix the issue.

Many thanks for pointing that!!!
Comment 3 Aleksandr Rybalko freebsd_committer 2014-07-09 14:41:07 UTC
Changes reviewed and committed.
Comment 4 Ed Maste freebsd_committer 2014-07-10 09:30:11 UTC
Does this need MFC?
Comment 5 commit-hook freebsd_committer 2014-07-21 14:32:55 UTC
A commit references this bug:

Author: emaste
Date: Mon Jul 21 14:31:58 UTC 2014
New revision: 268941
URL: http://svnweb.freebsd.org/changeset/base/268941

Log:
  MFC r268460 by ray:

    Fix inconsistent token parameters for kbd_allocate() and kbd_release()
    in vt(4).

  PR:		191306
  Submitted by:	jau789 at gmail.com
  Sponsored by:	The FreeBSD Foundation

Changes:
_U  stable/10/
  stable/10/sys/dev/vt/vt_core.c
Comment 6 commit-hook freebsd_committer 2014-07-21 14:36:58 UTC
A commit references this bug:

Author: emaste
Date: Mon Jul 21 14:36:36 UTC 2014
New revision: 268942
URL: http://svnweb.freebsd.org/changeset/base/268942

Log:
  MFC r268460 by ray:

    Fix inconsistent token parameters for kbd_allocate() and kbd_release()
    in vt(4).

  PR:		191306
  Submitted by:	jau789 at gmail.com
  Sponsored by:	The FreeBSD Foundation

Changes:
_U  stable/9/sys/
_U  stable/9/sys/dev/
  stable/9/sys/dev/vt/vt_core.c